# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_DrawCall Struct Reference

VLX wrapper of vl::DrawCall and subclasses. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_DrawCall:

List of all members.

## Public Member Functions

void | importDrawCall (VLXSerializer &s, const VLXStructure *vlx, DrawCall *draw_call)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportDrawCallBase (VLXSerializer &s, const DrawCall *obj, VLXStructure *vlx)
void | exportDrawCall (VLXSerializer &s, const DrawCall *dcall, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::DrawCall and subclasses.

Definition at line 855 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_DrawCall::importDrawCall | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | DrawCall * | draw_call
| ) |  | `[inline]`

Definition at line 857 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayInteger, vl::Object::as(), vl::MultiDrawElementsBase::baseVertices(), vl::VLXValue::Bool, vl::MultiDrawElementsBase::computeBufferObjectPointerVector(), vl::MultiDrawElementsBase::computePointerVector(), vl::VLXArrayTemplate< T >::copyTo(), vl::MultiDrawElementsBase::countVector(), vl::VLXValue::getArrayInteger(), vl::VLXValue::getBool(), vl::VLXValue::getInteger(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, vl::VLXValue::lineNumber(), vl::DrawCall::primitiveType(), vl::PT_UNKNOWN, vl::DrawElementsBase::setBaseVertex(), vl::DrawCall::setEnabled(), vl::DrawElementsBase::setInstances(), vl::Object::setObjectName(), vl::MultiDrawElementsBase::setPrimitiveRestartEnabled(), vl::DrawElementsBase::setPrimitiveRestartEnabled(), vl::DrawCall::setPrimitiveType(), vl::VLXSerializer::signalImportError(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXArrayTemplate< T >::value(), vl::VLXStructure::value(), VL_CHECK, vl::vlx_EPrimitiveType(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_DrawCall::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1063 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importDrawCall(), vl::VLXTaggedValue::lineNumber(), vl::VLXSerializer::registerImportedStructure(), vl::VLXSerializer::signalImportError(), and vl::VLXTaggedValue::tag().

void vl::VLXClassWrapper_DrawCall::exportDrawCallBase | ( | VLXSerializer & | s,
|  | const DrawCall * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1094 of file VLXWrappers.hpp.

References vl::VLXSerializer::exportVLX(), vl::DrawCall::isEnabled(), vl::Object::objectName(), vl::DrawCall::patchParameter(), vl::DrawCall::primitiveType(), vl::vlx_EPrimitiveType(), vl::vlx_Identifier(), and vl::vlx_String().

Referenced by exportDrawCall().

void vl::VLXClassWrapper_DrawCall::exportDrawCall | ( | VLXSerializer & | s,
|  | const DrawCall * | dcall,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1104 of file VLXWrappers.hpp.

References vl::Object::as(), vl::DrawElementsBase::baseVertex(), vl::MultiDrawElementsBase::baseVertices(), vl::DrawArrays::count(), vl::MultiDrawElementsBase::countVector(), vl::Log::error(), exportDrawCallBase(), vl::VLXSerializer::exportVLX(), vl::MultiDrawElements< arr_type >::indexBuffer(), vl::DrawElements< arr_type >::indexBuffer(), vl::DrawElementsBase::instances(), vl::DrawArrays::instances(), vl::MultiDrawElementsBase::primitiveRestartEnabled(), vl::DrawElementsBase::primitiveRestartEnabled(), vl::DrawArrays::start(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_DrawCall::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1175 of file VLXWrappers.hpp.

References vl::Object::as(), exportDrawCall(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.